%define bname qalculate

Summary:	A very versatile desktop calculator
Name:		qalculate-gtk
Version:	2.2.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Office
URL:		http://qalculate.github.io/
Source0:	https://github.com/Qalculate/qalculate-gtk/releases/download/v2.2.0/%{name}-%{version}.tar.xz
Patch0:		%name-menufile.patch
BuildRequires:	%{_lib}qalculate-devel >= %{version}
BuildRequires:	libglade2-devel
BuildRequires:	gtk3-devel
BuildRequires:	imagemagick
BuildRequires:	scrollkeeper
BuildRequires:	perl(XML::Parser)
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	libmpfr-devel
#BuildRequires:	%{_lib}gnome2_0-devel
Requires(pre):	scrollkeeper
Requires:	gnuplot
Requires:	wget
Obsoletes:	qalculate < %{version}
Provides:	qalculate = %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Qalculate! is a modern multi-purpose desktop calculator for GNU/Linux. It is
small and simple to use but with much power and versatility underneath.
Features include customizable functions, units, arbitrary precision, plotting,
and a graphical interface that uses a one-line fault-tolerant expression entry 
(although it supports optional traditional buttons). 
This package provides the GTK frontend.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std 

#menu
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps

#icons 
convert -size 48x48 data/%{bname}.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{bname}.png 
convert -size 32x32 data/%{bname}.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{bname}.png 
convert -size 16x16 data/%{bname}.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{bname}.png

%find_lang %{name} --with-gnome

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%update_scrollkeeper
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_scrollkeeper
%clean_icon_cache hicolor
 
%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/%name
%{_datadir}/applications/*
%{_datadir}/appdata/qalculate-gtk.appdata.xml
%{_datadir}/pixmaps/*.png
%{_iconsdir}/hicolor/*/apps/%{bname}.png


%changelog
* Tue Dec 26 2017 Zen Subz <techars21 at gmail dot com> - 2.2.0-1pclos2017
- Update to latest release from github

* Sat Aug 06 2016 Galen Seaman <gseaman at charter.net> 0.9.9-1gseaman2016
- 0.9.9

* Thu May 03 2012 Neal <nealbrks0 at gmail dot com> 0.9.7-3pclos2012
- process

* Wed May 02 2012 Galen Seaman <gseaman@clear.net> 0.9.7-3pclos2012
- adapted for 64bit

* Sat Nov 27 2010 Texstar <texstar at gmail.com> 0.9.7-2pclos2010
- convert source to tar.xz

* Wed Nov 25 2010 MBantz <martin dot bantz at gmail dot com> 0.9.7-1pclos2010
- Amended to PCLinuxOS from tpg at mandriva dot org
